QGIS Application - Feature request #213
Display Raster Image at 100%
2006-07-30 09:11 PM - gregcoats-mac-com -

Status: Closed

Priority: Low

Assignee: Magnus Homann

Category: Rasters

Pull Request or Patch supplied: Resolution: fixed
Easy fix?: No Copied to github as #: 10272
Description

When working with raster images, it is necessary to be able to display them at their native resolution, meaning displaying a raster image
such that one pixel in the image occupies exactly one pixel on the screen. Adobe Photoshop calls this 100%. Apparently, Qgis does not
currently provide this capability. The two benefits of offering this capability are that 1. raster images can be displayed much faster and 2.
raster images won't be displayed appearing as though they have been squeezed through for a low quality resizing algorithm optimized for
speed, instead of for appearance.

As a corollary to this, it is then highly desirable to be able to zoom in by 2, and zoom out by 2. Again, these will be very fast operations for
raster images, and especially useful when working with a series of [[GeoTIF]] images arranged to form an image pyramid, plus this is
useful with all [[GeoJPEG]]2000, which by the nature of JPEG2000 structure, always include an image pyramid.

When display raster images at 100%, the computer has less to do, so the display is faster, and 100% yields a better looking image.

Greg Coats

History

#1 - 2007-02-27 01:13 PM - Magnus Homann
- Status changed from Open to In Progress

#2 - 2007-02-28 11:45 AM - Magnus Homann
- Resolution set to fixed
- Status changed from In Progress to Closed

Added this in .

#3 - 2009-08-22 12:45 AM - Anonymous

Milestone Version 0.9 deleted
